% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/00_export_runExpressionSetViewer.R
\name{omicsViewer}
\alias{omicsViewer}
\title{Start omicsViewer}
\usage{
omicsViewer(
  dir,
  additionalTabs = NULL,
  filePattern = ".(RDS|DB|SQLITE|SQLITE3)$",
  ESVObj = NULL,
  esetLoader = readESVObj,
  exprsGetter = getExprs,
  pDataGetter = getPData,
  fDataGetter = getFData,
  defaultAxisGetter = getAx,
  appName = "omicsViewer",
  appVersion = packageVersion("omicsViewer")
)
}
\arguments{
\item{dir}{directory to the \code{ExpressionSet} or \code{SummarizedExperiment} object. Only give the directory
in this argument, not the .rds file.}

\item{additionalTabs}{additional tabs added to "Analyst" panel}

\item{filePattern}{file pattern to be displayed.}

\item{ESVObj}{the ESV object}

\item{esetLoader}{function to load the eset object, if an RDS file, should be "readRDS"}

\item{exprsGetter}{function to get the expression matrix from eset}

\item{pDataGetter}{function to get the phenotype data from eset}

\item{fDataGetter}{function to get the feature data from eset}

\item{defaultAxisGetter}{function to get the default axes to be visualized. It should be a function with two 
arguments: x - the object loaded to the viewer; what - one of "sx", "sy", "fx" and "fy", representing the 
sample space x-axis, sample space y-axis, feature space x-axis and feature space y-axis respectively.}

\item{appName}{name of the application}

\item{appVersion}{version of the application}
}
\value{
do not return values
}
\description{
Start omicsViewer
}
\examples{
1
## To start the shiny app: 
# omicsViewer(
#  system.file("extdata", package = "omicsViewer")
# )
}
